#include "stdafx.h"
#include <math.h>
#include "Functions.h"

;
double NTC (double teplota, int pocet)
	{
	const double e=2.718281828;

	double A = 1.152085338392319e-3;
	double B = 2.13146276927388e-4;
	double C = 9.372336566006315e-8;
	double vyp1, vyp2, vyp3, vyp4,a,b,odpor;
	
	if (pocet==2) { 
				odpor=pow(e,((1-teplota*A)/(teplota*B)));
				}

	if (pocet==3) 
	{ 				
	vyp1=((A-(1.0/teplota))/C);
	vyp3=(pow((B/C),3)/27.0);

	vyp2= sqrt((pow(vyp1,2.0)/4.0)+vyp3);
	b=sqrt3(-1.0*((vyp1/2)+vyp2));
	a=sqrt3(-1.0*((vyp1/2)-vyp2));
	vyp4=sqrt3(-1.0*((vyp1/2)+vyp2))+ sqrt3(-1.0*((vyp1/2)-vyp2));

 	odpor=pow(e,vyp4);

	}
	return odpor;

}

